package com.java2s.gwt.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.ClickListener;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.Widget;
import com.google.gwt.user.client.ui.KeyboardListenerAdapter;
import com.google.gwt.user.client.ui.TextArea;
import com.google.gwt.user.client.ui.TextBox;
import com.google.gwt.user.client.ui.TextBoxBase;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.HTML;

public class GWTClient implements EntryPoint {

  public void onModuleLoad() {
    final TextBox textBox = new TextBox();
    
    HorizontalPanel p = new HorizontalPanel();
    p.setSpacing(4);

    textBox.setWidth("20em");
    p.add(textBox);

    final HTML echo = new HTML();
  
    p.add(echo);
    textBox.addKeyboardListener(new KeyboardListenerAdapter() {
        public void onKeyUp(Widget sender, char keyCode, int modifiers) {
          updateText(textBox, echo);
        }
    });
  
    updateText(textBox, echo);


    RootPanel.get().add(p);
  }
  
  private void updateText(TextBoxBase text, HTML echo) {
    echo.setHTML("Selection: " + text.getCursorPos() + ", "
        + text.getSelectionLength());
  }
  
}
